unit uRechteck;

{ **************************************************************************** }
{ **************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    PnlUeberschrift: TPanel;
    LblSeiteA: TLabel;
    LblSeiteB: TLabel;
    LblFlaeche: TLabel;
    LblUmfang: TLabel;
    EdtSeiteA: TEdit;
    EdtSeiteB: TEdit;
    EdtFlaeche: TEdit;
    EdtUmfang: TEdit;
    BtnBerechnen: TButton;
    BtnAbbruch: TButton;
    LblDiagonale: TLabel;
    EdtDiagonale: TEdit;
    LblSeiteACm: TLabel;
    LblSeiteBCm: TLabel;
    LblFlaecheCm2: TLabel;
    LblDiagonaleCm: TLabel;
    LblUmfangCm: TLabel;
    GrpBoxEingabe: TGroupBox;
    GrpBoxAusgabe: TGroupBox;
    BtnSchliessen: TButton;
    BtnInformation: TButton;
    procedure BtnBerechnenClick(Sender: TObject);
    procedure BtnAbbruchClick(Sender: TObject);
    procedure BtnSchliessenClick(Sender: TObject);
    procedure BtnInformationClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

{ **************************************************************************** }
{ **************************************************************************** }

implementation

{$R *.DFM}

procedure TForm1.BtnBerechnenClick(Sender: TObject);  { Wird ausgefuehrt bei Klick auf "BtnBerechnen" }
var
  SeiteA,SeiteB,Flaeche,Umfang: Integer;  { Integer: Ganzzahlen, z.B. ...; -2; -1; 0; 1; 2; ... }
  Diagonale: Real;                        { Real: (Fliess-)Kommazahlen, d.h. Dezimalbrche, z.B. 42,0 oder Pi }
begin
  { Werte einlesen (Eingabe) }
  SeiteA := StrToInt(EdtSeiteA.Text);            { Der rechte Teil wird dem linken (Variable "SeiteA") zugewiesen }
  SeiteB := StrToInt(EdtSeiteB.Text);            { StrToInt: Wandelt einen String in Integer um (z.B. "5" in 5) }

  { Berechnungen durchfuehren (Verarbeitung) }
  Flaeche := SeiteA * SeiteB;                    { Berechne erst den Term rechts; schreibe das Ergebnis in "Flaeche" }
  Umfang := 2 * (SeiteA + SeiteB);               { Delphi kennt Rechenregeln wie "Klammern zuerst", "Punkt vor Strich" }
  Diagonale := Sqrt(Sqr(SeiteA) + Sqr(SeiteB));  { Sqrt: Qudratwurzel; Sqr: Quardat }

  { Ausgabe }
  EdtFlaeche.Text := IntToStr(Flaeche);          { IntToStr: Wandelt einen Integer in einen String um (z.B. 42 in "42") }
  EdtUmfang.Text := IntToStr(Umfang);            { Wandle "Umfang" in einen String um und gib ihn in EdtUmfang aus }
  EdtDiagonale.Text := FloatToStr(Diagonale);    { FloatToStr: Wandelt einen Real-Wert in einen String um }
  (* Schoenere Ausgabe mit nur 2 Nachkommastellen (Naeheres siehe Delphi-Hilfe, F9):
     EdtDiagonale.Text := FloatToStrF(Diagonale,ffFixed,10,2); *)
end;

{ **************************************************************************** }

procedure TForm1.BtnAbbruchClick(Sender: TObject);  { Wird ausgefuehrt bei Klick auf "BtnAbbruch" }
begin
  { Hier werden die Inhalte der Edit-Felder "geloescht", indem "Nichts" hineingeschrieben wird }
  EdtSeiteA.Text := '';  { Zwischen beiden Hochkommas steht "Nichts", sie folgen direkt aufeinander }
  EdtSeiteB.Text := '';
  EdtUmfang.Text := '';
  EdtFlaeche.Text := '';
  EdtDiagonale.Text := '';
end;

{ **************************************************************************** }

procedure TForm1.BtnInformationClick(Sender: TObject);  { Wird ausgefuehrt bei Klick auf "BtnInformation" }
begin
  (* ShowMessage('Rechteck (V1.0) von M. Zirbes, 2009'); *)

  { Eine elegantere Form von ShowMessage ist der programmierbare MessageDlg: }
  MessageDlg('Rechteck (V1.0)' + #13 +  { "+" erweitert einen String, "#13" sorgt fuer einen Zeilenumbruch }
    'Programm zur Berechnung von Umfang, Flche und' + #13 +
    'Diagonale beliebiger Rechtecke.' + #13 + #13 +
    'M. Zirbes, 2009' + #13 + #13 +
    'Bei diesem Programm handelt es sich um Freeware,' + #13 +
    'd.h. es steht zur kostenlosen Nutzung frei zur Verfgung' + #13 +
    'und darf ohne Entgelt vervielfltigt und verbreitet werden.' + #13 + #13 +
    'Kontakt: schule@mijozi.de',mtInformation,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnSchliessenClick(Sender: TObject);  { Wird ausgefuehrt bei Klick auf "BtnSchliessen" }
begin
  Close;  { Schliesst die Anwendung }
end;

{ **************************************************************************** }
{ **************************************************************************** }

end.
